Subject: Re: [ANNOUNCEMENT] Release candidate: gcc-3.4.1-1
From: "Gerrit P. Haase" <[email-masked]>
To: "Hans Horn" <[email-masked]>
Cc: [email-masked]
Date: Thu, 26 Aug 2004 12:28:45 +0200

Hans wrote:

> Just to follow up on my earlier posting!

> Could it be that I'm picking a stale g77 runtime lib?

I don't think so, looks like a bug in the optimizer.

> The problem doesn't happen if I replace -O6 with -g.
> It ALSO goes away (with -O6) if I call fabs() instead of abs(). fabs()
> however is a C function, which I don't want rely on!

There is a bug with optimization in 3.3.x.  Maybe there are more bugs in
the optimizer, please try to figure out which flag triggers the error.

> I've attached the output of cygcheck -s -v -r, if that's of any help.

-- 
=^..^=                                     http://nyckelpiga.de/donate.html

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/